function MqPurchasesExt()
{				
	function deleteBefore(objExtHdlrTemp, lngIssueID)
	{
		
		if(g_VWS)
		{
			var lngLMCount=g_VWS.HTTPRequest().Get(mstrCurrentLocation + "../ASP/Purchases-GetLMCount.asp?ID=" + lngIssueID);
			if(lngLMCount>0){
				g_MqRef.MsgHlpr.DisplayMessage(g_MqRef.RESX["PURCH_ASSOC_TO_LIC"]); 
				objExtHdlrTemp.SetCancelProcess(true);
			}
			return objExtHdlrTemp;
		}
	}

	
	this.Name="MqPurchasesExt ";
	this.deleteBefore=deleteBefore;
	
	WriteConsole("MqPurchasesExt: Initializing the extension " + this.Name);		
}
